
Redmine - Feature #1828

Default target version for new issues

2008-08-28 16:53 - Digital Base

Status: Closed Start date: 2008-08-28

Priority: Low Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 3.2.0   

Resolution: Fixed   

Description

When creating issues the dropdown targets is empty. There should be a way to set the default selected target.

Related issues:

Related to Redmine - Feature #4584: Require a Target Version and Category and... Closed 2010-01-14

Related to Redmine - Defect #33113: Default version and assignee are not expo... Closed

Has duplicate Redmine - Feature #2027: Default Target Version Closed 2008-10-13

Has duplicate Redmine - Feature #5277: configure default "target" version Closed 2010-04-08

Has duplicate Redmine - Feature #3324: Default version of a project Closed 2009-05-08

Has duplicate Redmine - Feature #7020: Auto assign default version on new issue Closed 2010-12-02

Has duplicate Redmine - Feature #12784: preallocate target-version-field Closed

Has duplicate Redmine - Feature #16253: Default version Closed

Associated revisions

Revision 14786 - 2015-11-01 09:11 - Jean-Philippe Lang

Default target version for new issues (#1828).

Revision 14788 - 2015-11-01 09:38 - Jean-Philippe Lang

Set default project version after selecting a different project on the new issue form (#1828).

Revision 14791 - 2015-11-01 11:39 - Jean-Philippe Lang

Adds field_default_version string to locales (#1828).

History

#1 - 2008-08-28 17:03 - Digital Base

An option would be to include a button, assign to next available target/version

#2 - 2008-08-29 02:13 - Mischa The Evil

- Target version deleted (0.8)

You should first configure versions for the project ("Project" -> "<yourproject>" -> "Settings" -> "Tab: Versions") to see them when creating new

issues.

Please report back if this issue should be closed.

#3 - 2008-08-29 11:40 - Digital Base

Mischa The Evil : i know

This ticket is mainly to help people when creating a ticket, if you have numerous versions, i would like the system to be smart enough to select the

next upcoming version, or to allow me to set a "default" version on the version management page ("Project" -> "<yourproject>" -> "Settings" -> "Tab:

Versions")

#4 - 2009-01-03 14:42 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

#5 - 2009-01-14 20:08 - Paul Hinze
+1

#6 - 2009-02-05 11:36 - Thomas Pihl

I am not sure i agree. Customers always want everything in the next buxfix release no matter what risks and size constraints that are connected to an

issue. Even bigger problem when it comes to a Request for Change.

I would rather suggest a "default" checkbox for versions if needed. But then again, i would also like to be able to restrict some roles from using that

field at all. When a user sets target version to next bugfix version, others might believe that. We see that all the time on this board as well.

/T

#7 - 2009-03-24 17:44 - Steve Diver

We are having continuing problems with reporters setting an inappropriate "Target version".

Having a default value would definitely be of use - as with several other fields, but the ability to restrict certain roles from assigning them on a per field

basis would be of most use.

#8 - 2009-03-26 11:27 - Vadim Epstein

I also need target version not to be empty by default. It is simple and sensible request.

#9 - 2009-06-12 16:08 - James Turnbull

+1

#10 - 2009-06-15 09:16 - Ashvin Savani

+1

its really should be in core features :) Any patch will be helpful.

#11 - 2009-08-05 19:14 - Jacob Moen

I would be nice if a current default version could be set.

I have problems with email created tickets not showing up on the issues list because they don't have a target version set.

One has to log into Redmine and manually set the target version, and the assigned to.

#12 - 2010-07-12 22:37 - Eric Thomas

- File 0001-Adding-default-version.patch added

I created a patch for this. I tried to make it a plugin, but couldn't really do it, so I had to tweak the main core.

Basically, when you edit the project settings, it adds a field to set a default version (if there are any existing versions). Then when you set it,

creating/editing an issue will be automatically set to that default version if they don't already have one.

#13 - 2010-07-13 07:45 - Eric Thomas

- File 0002-Adding-default-version.patch added

- Status changed from New to Resolved

Here is a modified version of the above patch which only sets the default version when adding a new issue (not when editing an issue).

#14 - 2010-07-13 07:50 - Eric Thomas

Eric Thomas wrote:

Here is a modified version of the above patch which only sets the default version when adding a new issue (not when editing an issue).

 Whoops, I screwed up making the patch. For this, in app/views/issues/_attributes.rhtml, apply the following diff.

diff --git a/app/views/issues/_attributes.rhtml b/app/views/issues/_attributes.rhtml

index 5dc401a..59bba5a 100644

--- a/app/views/issues/_attributes.rhtml

+++ b/app/views/issues/_attributes.rhtml

@@ -19,7 +19,7 @@

                      :tabindex => 199) if authorize_for('issue_categories', 'new') %></p>

 <% end %>

 <% unless @issue.assignable_versions.empty? %>

-<p><%= f.select :fixed_version_id, version_options_for_select(@issue.assignable_versions, @issue.fixed_versio

n ||= @project.default_version), :include_blank => true %>
+<p><%= f.select :fixed_version_id, version_options_for_select(@issue.assignable_versions, @issue.new_record? 

? @project.default_version : @issue.fixed_version), :include_blank => true %>

 <%= prompt_to_remote(image_tag('add.png', :style => 'vertical-align: middle;'),

                      l(:label_version_new),

                      'version[name]',

#15 - 2010-07-13 19:23 - Alex Last

who can test this and integrate into trunk?

#16 - 2010-07-15 07:13 - Eric Thomas

- File 0003-Add-support-for-a-default-target-version-for-a-proje.patch added

Alexey Skor wrote:

who can test this and integrate into trunk?

 I've attached a proper patch that includes tests and all the config/locales updates. Can somebody please review this?

#17 - 2010-10-08 16:25 - Slava Karg

Does this patch work with Redmine 1.0.1?

I've tried it and got an internal error while trying to open "settings" of project. :(

So had to unpatch and everything works now...

#18 - 2010-10-12 16:44 - Eric Thomas

Slava Karg wrote:

Does this patch work with Redmine 1.0.1?

I've tried it and got an internal error while trying to open "settings" of project. :(

So had to unpatch and everything works now...

 I am using the latest redmine and everything works fine. What is the output of your log?

#19 - 2010-10-12 17:23 - Slava Karg

Hi! First of all I used this patch 0003-Add-support-for-a-default-target-version-for-a-proje.patch

patch -p1 < 0003-Add-support-for-a-default-target-version-for-a-proje.patch

patching file app/models/project.rb

patching file app/views/issues/_attributes.rhtml

patching file app/views/projects/_form.rhtml

patching file config/locales/bg.yml

Hunk #1 succeeded at 211 (offset 5 lines).

patching file config/locales/bs.yml

Hunk #1 succeeded at 241 (offset 1 line).

patching file config/locales/ca.yml

Hunk #1 succeeded at 227 (offset 5 lines).

patching file config/locales/cs.yml

Hunk #1 succeeded at 226 (offset 5 lines).

patching file config/locales/da.yml

Hunk #1 succeeded at 239 (offset 1 line).

patching file config/locales/de.yml

Hunk #1 succeeded at 268 (offset 5 lines).

patching file config/locales/el.yml

Hunk #1 succeeded at 236 (offset 5 lines).

patching file config/locales/en.yml

Hunk #1 succeeded at 251 (offset 10 lines).

patching file config/locales/es.yml

Hunk #1 succeeded at 327 (offset 1 line).

patching file config/locales/eu.yml

Hunk #1 succeeded at 246 (offset 5 lines).

patching file config/locales/fi.yml

Hunk #1 succeeded at 252 (offset 1 line).

patching file config/locales/fr.yml

Hunk #1 succeeded at 261 (offset 1 line).

patching file config/locales/gl.yml

Hunk #1 succeeded at 304 (offset 1 line).

patching file config/locales/he.yml
Hunk #1 FAILED at 218.

1 out of 1 hunk FAILED -- saving rejects to file config/locales/he.yml.rej

patching file config/locales/hr.yml

Hunk #1 succeeded at 242 (offset 5 lines).

patching file config/locales/hu.yml

Hunk #1 succeeded at 249 (offset 2 lines).

patching file config/locales/id.yml

Hunk #1 succeeded at 240 (offset 1 line).

patching file config/locales/it.yml

Hunk #1 succeeded at 221 (offset 2 lines).

patching file config/locales/ja.yml

Hunk #1 succeeded at 276 (offset 4 lines).

patching file config/locales/ko.yml

Hunk #1 succeeded at 288 (offset 1 line).

patching file config/locales/lt.yml

Hunk #1 succeeded at 299 (offset 1 line).

patching file config/locales/mn.yml

Hunk #1 succeeded at 241 (offset 5 lines).

patching file config/locales/nl.yml

Hunk #1 succeeded at 270 (offset 5 lines).

patching file config/locales/no.yml

Hunk #1 succeeded at 220 (offset 1 line).

patching file config/locales/pl.yml

Hunk #1 succeeded at 291 (offset 1 line).

patching file config/locales/pt-BR.yml

Hunk #1 succeeded at 253 (offset 1 line).

patching file config/locales/pt.yml

Hunk #1 succeeded at 238 (offset 1 line).

patching file config/locales/ro.yml

Hunk #1 succeeded at 221 (offset 1 line).

patching file config/locales/ru.yml

Hunk #1 succeeded at 377 (offset 2 lines).

patching file config/locales/sk.yml

Hunk #1 succeeded at 220 (offset 1 line).

patching file config/locales/sl.yml

Hunk #1 succeeded at 225 (offset 2 lines).

patching file config/locales/sr.yml

Hunk #1 FAILED at 230.

1 out of 1 hunk FAILED -- saving rejects to file config/locales/sr.yml.rej

patching file config/locales/sv.yml

Hunk #1 succeeded at 296 (offset 8 lines).

patching file config/locales/th.yml

Hunk #1 succeeded at 222 (offset 5 lines).

patching file config/locales/tr.yml

Hunk #1 succeeded at 249 (offset 1 line).

patching file config/locales/uk.yml

Hunk #1 succeeded at 216 (offset 5 lines).

patching file config/locales/vi.yml

Hunk #1 succeeded at 283 (offset 1 line).

patching file config/locales/zh-TW.yml

Hunk #1 succeeded at 336 (offset 4 lines).

patching file config/locales/zh.yml

Hunk #1 succeeded at 261 (offset 1 line).

patching file db/migrate/109_add_default_version_to_project.rb

patching file test/fixtures/projects.yml

patching file test/functional/issues_controller_test.rb

Hunk #1 succeeded at 330 (offset -66 lines).

 After that while I try to click "Settings" of any project I get Internal Server Error. Here is log:

Processing ProjectsController#settings (for x.x.x.x at 2010-10-12 18:22:14) [GET]

  Parameters: {"action"=>"settings", "id"=>"com001", "controller"=>"projects"}

Rendering template within layouts/base

Rendering projects/settings

ActionView::TemplateError (undefined method `default_version_id' for #<Project:0xb69522f0>) on line #20 of app

/views/projects/_form.rhtml:

17: <p><%= f.check_box :is_public %></p>

18:

19: <% if Project.exists?(@project) && !@project.shared_versions.empty? %>

20:   <p><%= f.select :default_version_id, version_options_for_select(@project.shared_versions, @project.defau

lt_version), :include_blank => true %></p>

21: <% end %>

22:

23: <%= wikitoolbar_for 'project_description' %>
    lib/tabular_form_builder.rb:38:in `select'

    app/views/projects/_form.rhtml:20:in `_run_rhtml_app47views47projects47_form46rhtml_locals_f_form_object'

    app/views/projects/_edit.rhtml:2:in `_run_rhtml_app47views47projects47_edit46rhtml_locals_edit_object_tab'

    app/helpers/application_helper.rb:697:in `labelled_tabular_form_for'

    app/views/projects/_edit.rhtml:1:in `_run_rhtml_app47views47projects47_edit46rhtml_locals_edit_object_tab'

    app/views/common/_tabs.rhtml:24:in `_run_rhtml_app47views47common47_tabs46rhtml_locals_object_tabs'

    app/views/common/_tabs.rhtml:23:in `each'

    app/views/common/_tabs.rhtml:23:in `_run_rhtml_app47views47common47_tabs46rhtml_locals_object_tabs'

    app/helpers/application_helper.rb:197:in `render_tabs'

    app/views/projects/settings.rhtml:3:in `_run_rhtml_app47views47projects47settings46rhtml'

    /opt/redmine/passenger-2.2.11/lib/phusion_passenger/rack/request_handler.rb:92:in `process_request'

    /opt/redmine/passenger-2.2.11/lib/phusion_passenger/abstract_request_handler.rb:207:in `main_loop'

    /opt/redmine/passenger-2.2.11/lib/phusion_passenger/railz/application_spawner.rb:418:in `start_request_han

dler'

    /opt/redmine/passenger-2.2.11/lib/phusion_passenger/railz/application_spawner.rb:358:in `handle_spawn_appl

ication'

    /opt/redmine/passenger-2.2.11/lib/phusion_passenger/utils.rb:184:in `safe_fork'

    /opt/redmine/passenger-2.2.11/lib/phusion_passenger/railz/application_spawner.rb:354:in `handle_spawn_appl

ication'

    /opt/redmine/passenger-2.2.11/lib/phusion_passenger/abstract_server.rb:352:in `__send__'

    /opt/redmine/passenger-2.2.11/lib/phusion_passenger/abstract_server.rb:352:in `main_loop'

    /opt/redmine/passenger-2.2.11/lib/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

    /opt/redmine/passenger-2.2.11/lib/phusion_passenger/abstract_server.rb:163:in `start'

    /opt/redmine/passenger-2.2.11/lib/phusion_passenger/railz/application_spawner.rb:213:in `start'

    /opt/redmine/passenger-2.2.11/lib/phusion_passenger/spawn_manager.rb:262:in `spawn_rails_application'

    /opt/redmine/passenger-2.2.11/lib/phusion_passenger/abstract_server_collection.rb:126:in `lookup_or_add'

    /opt/redmine/passenger-2.2.11/lib/phusion_passenger/spawn_manager.rb:256:in `spawn_rails_application'

    /opt/redmine/passenger-2.2.11/lib/phusion_passenger/abstract_server_collection.rb:80:in `synchronize'

    /opt/redmine/passenger-2.2.11/lib/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

    /opt/redmine/passenger-2.2.11/lib/phusion_passenger/spawn_manager.rb:255:in `spawn_rails_application'

    /opt/redmine/passenger-2.2.11/lib/phusion_passenger/spawn_manager.rb:154:in `spawn_application'

    /opt/redmine/passenger-2.2.11/lib/phusion_passenger/spawn_manager.rb:287:in `handle_spawn_application'

    /opt/redmine/passenger-2.2.11/lib/phusion_passenger/abstract_server.rb:352:in `__send__'

    /opt/redmine/passenger-2.2.11/lib/phusion_passenger/abstract_server.rb:352:in `main_loop'

    /opt/redmine/passenger-2.2.11/lib/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

Rendering /opt/dist/ruby/redmine-1.0.1/public/500.html (500 Internal Server Error)

#20 - 2010-10-12 17:27 - Eric Thomas

The patch involves a database update. rake db:migrate should do the trick for you.

#21 - 2010-10-12 17:35 - Slava Karg

Well thanks! Error disappeared :)

Now I cant figure out how to set "default version": I looked at project settings and didn't find anything related ... o_O

#22 - 2010-10-12 17:40 - Eric Thomas

You should find it under Administration --> Projects --> Select a project --> Information tab --> Default version

#23 - 2010-10-12 17:43 - Slava Karg

Well this feature appeared just after restarting Apache :) Thanks!

#24 - 2010-11-02 19:08 - Alex Last

is this a part of 1.0.3 release?

#25 - 2011-01-20 21:53 - James Moore

I noticed that I could no longer set a default version after updating to 1.0.5. You need to add default_version_id to the safe_attributes list in

app/models/project.rb

#26 - 2011-03-01 17:16 - Ryan H

Is this going to get rolled into the trunk at all?

#27 - 2011-03-04 10:10 - Jean-Philippe Lang

- Target version set to Candidate for next major release

#28 - 2011-05-31 11:08 - Radek Karban
+1

#29 - 2011-08-14 00:50 - Terence Mill

+1

#30 - 2011-09-15 09:00 - Adam Klinkosz

+1

#31 - 2011-09-23 14:14 - Oli Kessler

+1

#32 - 2011-11-16 19:30 - Tony Marschall

I have create a plugin with patches provided here + safe_attributes: http://www.redmine.org/plugins/default-version

#33 - 2012-02-22 10:29 - Stéphane Thomas

+1

Could this be be released in trunk, as requested 12 months ago?

#34 - 2012-03-07 19:29 - Manuel Meurer

+1

#35 - 2012-04-11 16:44 - Anonymous

+1

#36 - 2012-04-11 16:56 - Anonymous

Tony Marschall wrote:

I have create a plugin with patches provided here + safe_attributes: http://www.redmine.org/plugins/default-version

 Thanks for plugin!

#37 - 2012-04-21 22:10 - Rafael Amorim

+1

It should be released asap

#38 - 2012-05-25 21:12 - Roberto C

+1

I'd like to have this feature, with some of the ideas posted here.

Tony's plugin posted above doesn't work with Redmine 1.3+, only until 1.2

#39 - 2012-06-11 04:41 - Ben Asher

I'm maintaining the new working fork at https://github.com/benasher44/redmine_default_version as specified in Tony Marschall's github repo readme.

The latest update works with rails 2 and 3 and redmine versions 1.2.x-1.4.x and 2.0.x.

#40 - 2013-01-10 07:44 - Felix Muster

can you make it compatible with redmine v2.2.0?

#41 - 2013-03-25 17:00 - Dipan Mehta

+1 This is very important.

#42 - 2013-06-21 12:23 - Olivier B

Is there a way to have this feature in redmine 2.3.1 (patch, plugin ?). Thanks

#43 - 2013-07-15 07:12 - Maxime Vez

+1
I also have redmine 2.3.1 installed (awsome product btw) and being able to pre-select a default version for a new issue would save time and simplify

the process (my users are not very familiar with the process and they always forget to assign a version).

Thank you.

#44 - 2013-09-20 10:47 - Francesco V

+1

#45 - 2013-09-23 16:02 - Mattanja Kern

+1 Because we'd like to make the target version mandatory for bug reports but set it to the current live version by default.

#46 - 2013-10-21 15:00 - Karel Pičman

+1

#47 - 2014-03-18 01:33 - Angelo Bertolli

Which version has this patch been applied to?  I am running version 2.0.4 in a production environment.

#48 - 2014-06-23 07:46 - Lajish Lakshmanan

Is there any patch or plugin avaialable for 2.4.2 or 2.5.2

#49 - 2015-01-03 16:07 - Ivan Rapekas

- File plugins.txt added

Lajish Lakshmanan wrote:

Is there any patch or plugin avaialable for 2.4.2 or 2.5.2

 Hello,

seems https://github.com/benasher44/redmine_default_version works with 2.5.3

#50 - 2015-02-27 11:15 - Pedro Calvo

+1

#51 - 2015-10-29 00:23 - Erik Álvarez

+1  This would be very helpful for backlog items.

#52 - 2015-11-01 09:13 - Jean-Philippe Lang

- Subject changed from Default Target : New Issue to Default target version for new issues

- Status changed from Resolved to Closed

- Assignee set to Jean-Philippe Lang

- Target version changed from Candidate for next major release to 3.2.0

- Resolution set to Fixed

Feature added in r14786.

#53 - 2015-11-01 09:14 - Jean-Philippe Lang

- Related to Feature #16253: Default version added

#54 - 2015-11-24 12:12 - Toshi MARUYAMA

- Related to deleted (Feature #16253: Default version)

#55 - 2015-11-24 12:13 - Toshi MARUYAMA

- Has duplicate Feature #16253: Default version added

#56 - 2020-03-09 13:51 - Go MAEDA

- Related to Defect #33113: Default version and assignee are not exposed via projects API added
Files

0001-Adding-default-version.patch 3.46 KB 2010-07-12 Eric Thomas

0002-Adding-default-version.patch 1.12 KB 2010-07-13 Eric Thomas

0003-Add-support-for-a-default-target-version-for-a-proje.patch 22.5 KB 2010-07-15 Eric Thomas

plugins.txt 2.56 KB 2015-01-03 Ivan Rapekas
